class ComponentFactory.Krypton.Toolkit.VisualControlBase
   inherits System.Windows.Forms.Control
   implements System.ComponentModel.IComponent, System.IDisposable, System.Windows.Forms.UnsafeNativeMethods+IOleControl, System.Windows.Forms.UnsafeNativeMethods+IOleObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceObject, System.Windows.Forms.UnsafeNativeMethods+IOleInPlaceActiveObject, System.Windows.Forms.UnsafeNativeMethods+IOleWindow, System.Windows.Forms.UnsafeNativeMethods+IViewObject, System.Windows.Forms.UnsafeNativeMethods+IViewObject2, System.Windows.Forms.UnsafeNativeMethods+IPersist, System.Windows.Forms.UnsafeNativeMethods+IPersistStreamInit, System.Windows.Forms.UnsafeNativeMethods+IPersistPropertyBag, System.Windows.Forms.UnsafeNativeMethods+IPersistStorage, System.Windows.Forms.UnsafeNativeMethods+IQuickActivate, System.Windows.Forms.ISupportOleDropSource, System.Windows.Forms.IDropTarget, System.ComponentModel.ISynchronizeInvoke, System.Windows.Forms.IWin32Window, System.Windows.Forms.Layout.IArrangedElement, System.Windows.Forms.IBindableComponent, ComponentFactory.Krypton.Toolkit.IKryptonDebug
   abstract:

   def public override property ContextMenuStrip as System.Windows.Forms.ContextMenuStrip
      get.
      set.

   def public property KryptonContextMenu as ComponentFactory.Krypton.Toolkit.KryptonContextMenu
      get.
      set.

   def public property PaletteMode as ComponentFactory.Krypton.Toolkit.PaletteMode
      get.
      set.

   def public property Palette as ComponentFactory.Krypton.Toolkit.IPalette
      get.
      set.

   def public property Renderer as ComponentFactory.Krypton.Toolkit.IRenderer
      get.

   def public override property BackgroundImage as System.Drawing.Image
      get.
      set.

   def public override property BackgroundImageLayout as System.Windows.Forms.ImageLayout
      get.
      set.

   def public property DirtyPaletteCounter as integer
      get.
      set.

   def public property KryptonLayoutCounter as integer
      get.

   def public property KryptonPaintCounter as integer
      get.

   def protected property ViewManager as ComponentFactory.Krypton.Toolkit.ViewManager
      get.
      set.

   def protected property Redirector as ComponentFactory.Krypton.Toolkit.PaletteRedirect
      get.

   def protected property NeedPaintDelegate as ComponentFactory.Krypton.Toolkit.NeedPaintHandler
      get.

   def protected property NeedPaintPaletteDelegate as ComponentFactory.Krypton.Toolkit.NeedPaintHandler
      get.

   def protected property NeedTransparentPaint as logical
      get.

   def protected property EvalInvokePaint as logical
      get.

   def protected property TransparentParent as System.Windows.Forms.Control
      get.

   def public event PaletteChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor protected VisualControlBase():
   end constructor.

   method protected final override void Dispose(input disposing as logical):
   end method.

   method public void PerformNeedPaint(input needLayout as logical):
   end method.

   method public final void CheckPerformLayout():
   end method.

   method public final void ResetPaletteMode():
   end method.

   method public final void ResetPalette():
   end method.

   method public final System.Windows.Forms.ToolStripRenderer CreateToolStripRenderer():
   end method.

   method public final ComponentFactory.Krypton.Toolkit.ViewManager GetViewManager():
   end method.

   method public final ComponentFactory.Krypton.Toolkit.IPalette GetResolvedPalette():
   end method.

   method public final void AttachGlobalEvents():
   end method.

   method public final void UnattachGlobalEvents():
   end method.

   method public final void KryptonResetCounters():
   end method.

   method public final ComponentFactory.Krypton.Toolkit.ViewBase ViewFromPoint(input pt as System.Drawing.Point):
   end method.

   method protected final logical ForceViewLayout():
   end method.

   method protected final void InvokeLayout():
   end method.

   method protected final void MarkLayoutDirty():
   end method.

   method protected void PaintBackground(input g as System.Drawing.Graphics, input backBrush as System.Drawing.Brush, input backRect as System.Drawing.Rectangle):
   end method.

   method protected final logical CanProcessMnemonic():
   end method.

   method protected logical EvalTransparentPaint():
   end method.

   method protected void OnButtonSpecChanged(input sender as System.Object, input e as System.EventArgs):
   end method.

   method protected void OnPaletteChanged(input e as System.EventArgs):
   end method.

   method protected void OnPaletteNeedPaint(input sender as System.Object, input e as ComponentFactory.Krypton.Toolkit.NeedLayoutEventArgs):
   end method.

   method protected void OnNeedPaint(input sender as System.Object, input e as ComponentFactory.Krypton.Toolkit.NeedLayoutEventArgs):
   end method.

   method protected ComponentFactory.Krypton.Toolkit.PaletteRedirect CreateRedirector():
   end method.

   method protected void UpdateGlobalEvents(input attach as logical):
   end method.

   method protected override void OnRightToLeftChanged(input e as System.EventArgs):
   end method.

   method protected override void OnLayout(input levent as System.Windows.Forms.LayoutEventArgs):
   end method.

   method protected override void OnPaint(input e as System.Windows.Forms.PaintEventArgs):
   end method.

   method protected override void OnMouseMove(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseDown(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseUp(input e as System.Windows.Forms.MouseEventArgs):
   end method.

   method protected override void OnMouseLeave(input e as System.EventArgs):
   end method.

   method protected override void OnDoubleClick(input e as System.EventArgs):
   end method.

   method protected override void OnKeyDown(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnKeyPress(input e as System.Windows.Forms.KeyPressEventArgs):
   end method.

   method protected override void OnKeyUp(input e as System.Windows.Forms.KeyEventArgs):
   end method.

   method protected override void OnGotFocus(input e as System.EventArgs):
   end method.

   method protected override void OnLostFocus(input e as System.EventArgs):
   end method.

   method protected void OnGlobalPaletteChanged(input sender as System.Object, input e as System.EventArgs):
   end method.

   method protected void OnUserPreferenceChanged(input sender as System.Object, input e as Microsoft.Win32.UserPreferenceChangedEventArgs):
   end method.

   method protected override logical ProcessCmdKey(input msg as System.Windows.Forms.Message, input keyData as System.Windows.Forms.Keys):
   end method.

   method protected override void WndProc(input m as System.Windows.Forms.Message):
   end method.

   method protected void ContextMenuClosed():
   end method.

end class.
