class Infragistics.Documents.Excel.Workbook
   inherits System.Object:

   def public static variable MaxExcelColorCount as integer.

   def public static variable MaxExcel2007RowCount as integer.

   def public static variable MaxExcel2007ColumnCount as integer.

   def public static variable MaxExcelRowCount as integer.

   def public static variable MaxExcelColumnCount as integer.

   def public static variable MaxExcelCellFormatCount as integer.

   def public static variable MaxExcel2007CellFormatCount as integer.

   def public static variable MaxExcelWorkbookFonts as integer.

   def public property ActiveWorksheet as Infragistics.Documents.Excel.Worksheet
      get.
      set.

   def public property DefaultFontHeight as integer
      get.
      set.

   def public property FileWriteProtectedBy as character
      get.

   def public property HasFileWriteProtectionPassword as logical
      get.

   def public property HasOpenPassword as logical
      get.

   def public property IsFileWriteProtected as logical
      get.

   def public property CalculationMode as Infragistics.Documents.Excel.CalculationMode
      get.
      set.

   def public property CellReferenceMode as Infragistics.Documents.Excel.CellReferenceMode
      get.
      set.

   def public property Culture as System.Globalization.CultureInfo
      get.
      set.

   def public property CurrentFormat as Infragistics.Documents.Excel.WorkbookFormat
      get.

   def public property CustomTableStyles as Infragistics.Documents.Excel.CustomTableStyleCollection
      get.

   def public property CustomViews as Infragistics.Documents.Excel.CustomViewCollection
      get.

   def public property DateSystem as Infragistics.Documents.Excel.DateSystem
      get.
      set.

   def public property DefaultTableStyle as Infragistics.Documents.Excel.WorksheetTableStyle
      get.
      set.

   def public property DocumentProperties as Infragistics.Documents.Excel.DocumentProperties
      get.

   def public property HasProtectionPassword as logical
      get.

   def public property IsProtected as logical
      get.

   def public property IterativeCalculationsEnabled as logical
      get.
      set.

   def public property MaxChangeInIteration as decimal
      get.
      set.

   def public property MaxColumnCount as integer
      get.

   def public property MaxRecursionIterations as integer
      get.
      set.

   def public property MaxRowCount as integer
      get.

   def public property NamedReferences as Infragistics.Documents.Excel.NamedReferenceCollection
      get.

   def public property Palette as Infragistics.Documents.Excel.WorkbookColorPalette
      get.

   def public property Precision as Infragistics.Documents.Excel.Precision
      get.
      set.

   def public property Protected as logical
      get.
      set.

   def public property Protection as Infragistics.Documents.Excel.WorkbookProtection
      get.

   def public property RecalculateBeforeSave as logical
      get.
      set.

   def public property SaveExternalLinkedValues as logical
      get.
      set.

   def public property ScreenDpi as System.Drawing.SizeF
      get.
      set.

   def public property ShouldRemoveCarriageReturnsOnSave as logical
      get.
      set.

   def public property StandardTableStyles as Infragistics.Documents.Excel.StandardTableStyleCollection
      get.

   def public property Styles as Infragistics.Documents.Excel.WorkbookStyleCollection
      get.

   def public property ValidateFormatStrings as logical
      get.
      set.

   def public property WindowOptions as Infragistics.Documents.Excel.WorkbookWindowOptions
      get.

   def public property Worksheets as Infragistics.Documents.Excel.WorksheetCollection
      get.

   constructor public Workbook(input paletteMode as Infragistics.Documents.Excel.WorkbookPaletteMode):
   end constructor.

   constructor public Workbook(input format as Infragistics.Documents.Excel.WorkbookFormat, input paletteMode as Infragistics.Documents.Excel.WorkbookPaletteMode):
   end constructor.

   constructor public Workbook():
   end constructor.

   constructor public Workbook(input format as Infragistics.Documents.Excel.WorkbookFormat):
   end constructor.

   method public final static Infragistics.Documents.Excel.Workbook Load(input fileName as character, input verifyExcel2007Xml as logical):
   end method.

   method public final static Infragistics.Documents.Excel.Workbook Load(input fileName as character, input packageFactory as Infragistics.Documents.Core.Packaging.IPackageFactory, input verifyExcel2007Xml as logical):
   end method.

   method public final static Infragistics.Documents.Excel.Workbook Load(input stream as System.IO.Stream, input verifyExcel2007Xml as logical):
   end method.

   method public final static Infragistics.Documents.Excel.Workbook Load(input stream as System.IO.Stream, input packageFactory as Infragistics.Documents.Core.Packaging.IPackageFactory, input verifyExcel2007Xml as logical):
   end method.

   method public final void Protect(input password as character, input allowEditStructure as logical, input allowEditWindows as logical):
   end method.

   method public final void Protect(input password as System.Security.SecureString, input allowEditStructure as logical, input allowEditWindows as logical):
   end method.

   method public final void SetEncryptionMode(input encryptionMode as Infragistics.Documents.Excel.WorkbookEncryptionMode):
   end method.

   method public final void SetFileWriteProtectionPassword(input password as character, input userName as character):
   end method.

   method public final void SetFileWriteProtectionPassword(input password as System.Security.SecureString, input userName as character):
   end method.

   method public final void SetOpenPassword(input password as character):
   end method.

   method public final void SetOpenPassword(input password as System.Security.SecureString):
   end method.

   method public final logical ValidateFileWriteProtectionPassword(input password as character):
   end method.

   method public final logical ValidateFileWriteProtectionPassword(input password as System.Security.SecureString):
   end method.

   method public final void Unprotect(input password as character):
   end method.

   method public final void Unprotect(input password as System.Security.SecureString):
   end method.

   method public final void Save(input fileName as character, input saveOptions as Infragistics.Documents.Excel.WorkbookSaveOptions):
   end method.

   method public final void Save(input fileName as character, input packageFactory as Infragistics.Documents.Core.Packaging.IPackageFactory):
   end method.

   method public final static Infragistics.Documents.Excel.Workbook Load(input fileName as character, input loadOptions as Infragistics.Documents.Excel.WorkbookLoadOptions):
   end method.

   method public final static Infragistics.Documents.Excel.Workbook Load(input fileName as character, input packageFactory as Infragistics.Documents.Core.Packaging.IPackageFactory):
   end method.

   method public final static Infragistics.Documents.Excel.Workbook Load(input stream as System.IO.Stream, input packageFactory as Infragistics.Documents.Core.Packaging.IPackageFactory):
   end method.

   method public final static logical IsWorkbookEncrypted(input path as character):
   end method.

   method public final decimal CharacterWidth256thsToPixels(input characterWidth256ths as decimal):
   end method.

   method public final void ClearConnectionData():
   end method.

   method public final void ClearPivotTableData():
   end method.

   method public final Infragistics.Documents.Excel.IWorkbookFont CreateNewWorkbookFont():
   end method.

   method public final Infragistics.Documents.Excel.IWorksheetCellFormat CreateNewWorksheetCellFormat():
   end method.

   method public final Infragistics.Documents.Excel.WorksheetTable GetTable(input name as character):
   end method.

   method public final decimal PixelsToCharacterWidth256ths(input pixels as decimal):
   end method.

   method public final void Protect(input allowEditStructure as logical, input allowEditWindows as logical):
   end method.

   method public final void Recalculate():
   end method.

   method public final void Recalculate(input includeNonDirtyFormulas as logical):
   end method.

   method public final logical RegisterUserDefinedFunctionLibrary(input assembly as System.Reflection.Assembly):
   end method.

   method public final logical RegisterUserDefinedFunction(input userDefinedFunction as Infragistics.Documents.Excel.CalcEngine.ExcelCalcFunction):
   end method.

   method public final void ResumeCalculations():
   end method.

   method public final void Save(input stream as System.IO.Stream, input saveOptions as Infragistics.Documents.Excel.WorkbookSaveOptions):
   end method.

   method public final void Save(input stream as System.IO.Stream, input packageFactory as Infragistics.Documents.Core.Packaging.IPackageFactory):
   end method.

   method public final void SetCurrentFormat(input format as Infragistics.Documents.Excel.WorkbookFormat):
   end method.

   method public final void SuspendCalculations():
   end method.

   method public final void Unprotect():
   end method.

   method public final static Infragistics.Documents.Excel.Workbook Load(input stream as System.IO.Stream, input loadOptions as Infragistics.Documents.Excel.WorkbookLoadOptions):
   end method.

   method public final static Infragistics.Documents.Excel.WorkbookFormat GetWorkbookFormat(input fileName as character):
   end method.

   method public final static logical IsWorkbookEncrypted(input stream as System.IO.Stream):
   end method.

   method public final static integer GetMaxColumnCount(input format as Infragistics.Documents.Excel.WorkbookFormat):
   end method.

   method public final static integer GetMaxRowCount(input format as Infragistics.Documents.Excel.WorkbookFormat):
   end method.

   method public final logical IsValidFunctionName(input functionName as character):
   end method.

end class.
