class Infragistics.Shared.SparseArray
   inherits System.Object
   implements System.Collections.IList, System.Collections.ICollection, System.Collections.IEnumerable:

   def public property Count as integer
      get.

   def public property Item as System.Object
      get.
      set.

   def public property IsSynchronized as logical
      get.

   def public property SyncRoot as System.Object
      get.

   def public property NonNullItems as System.Collections.IEnumerable
      get.

   constructor public SparseArray():
   end constructor.

   constructor public SparseArray(input useOwnerData as logical):
   end constructor.

   constructor public SparseArray(input factor as integer):
   end constructor.

   constructor public SparseArray(input factor as integer, input growthFactor as decimal):
   end constructor.

   constructor public SparseArray(input factor as integer, input growthFactor as decimal, input useOwnerData as logical):
   end constructor.

   constructor protected SparseArray(input manageScrollCounts as logical, input factor as integer, input growthFactor as decimal):
   end constructor.

   method public final void Expand(input newCount as integer):
   end method.

   method public final integer Add(input item as System.Object):
   end method.

   method public final void Insert(input index as integer, input item as System.Object):
   end method.

   method public final void AddRange(input items as System.Collections.ICollection):
   end method.

   method public final void InsertRange(input index as integer, input items as System.Collections.ICollection):
   end method.

   method public final void RemoveAt(input index as integer):
   end method.

   method public final integer IndexOf(input item as System.Object):
   end method.

   method public final void RemoveRange(input index as integer, input count as integer):
   end method.

   method public final void Remove(input value as System.Object):
   end method.

   method public final logical Contains(input value as System.Object):
   end method.

   method public final void Clear():
   end method.

   method public final void CopyTo(input array as System.Array, input index as integer):
   end method.

   method public final void CopyTo(input array as System.Array, input index as integer, input callback as Infragistics.Shared.ICreateItemCallback):
   end method.

   method public final System.Object extent ToArray():
   end method.

   method public final System.Array ToArray(input type as System.Type):
   end method.

   method public final System.Object GetItem(input index as integer):
   end method.

   method public final System.Object GetItem(input index as integer, input createItemCallback as Infragistics.Shared.ICreateItemCallback):
   end method.

   method public final void Reverse():
   end method.

   method public final void Reverse(input index as integer, input count as integer):
   end method.

   method public final void Sort():
   end method.

   method public final void Sort(input comparer as System.Collections.IComparer):
   end method.

   method protected System.Object GetOwnerData(input item as System.Object):
   end method.

   method protected void SetOwnerData(input item as System.Object, input ownerData as System.Object):
   end method.

   method protected final integer GetVisibleCount():
   end method.

   method protected final integer GetScrollCount():
   end method.

   method protected final integer GetVisibleIndexOf(input item as Infragistics.Shared.ISparseArrayMultiItem):
   end method.

   method protected final integer GetScrollIndexOf(input item as Infragistics.Shared.ISparseArrayMultiItem):
   end method.

   method protected final integer GetScrollIndexOf(input item as Infragistics.Shared.ISparseArrayMultiItem, input ignoreItemHiddenState as logical):
   end method.

   method protected final System.Object GetItemAtVisibleIndexOffset(input startItem as Infragistics.Shared.ISparseArrayMultiItem, input offset as integer, input createItemCallback as Infragistics.Shared.ICreateItemCallback):
   end method.

   method protected final System.Object GetItemAtVisibleIndex(input visibleIndex as integer, input createItemCallback as Infragistics.Shared.ICreateItemCallback):
   end method.

   method protected final System.Object GetItemAtScrollIndex(input scrollIndex as integer, input createItemCallback as Infragistics.Shared.ICreateItemCallback):
   end method.

   method protected final void NotifyItemScrollCountChanged(input item as Infragistics.Shared.ISparseArrayMultiItem):
   end method.

   method protected final void DirtyScrollCountInfo():
   end method.

   method protected void OnScrollCountChanged():
   end method.

   method public final void OnDeserializationComplete():
   end method.

   method public final System.Collections.IEnumerator GetEnumerator():
   end method.

   method public final System.Collections.IEnumerator GetEnumerator(input createItemCallback as Infragistics.Shared.ICreateItemCallback):
   end method.

end class.
