class System.ComponentModel.MaskedTextProvider
   inherits System.Object
   implements System.ICloneable:

   def public property AllowPromptAsInput as logical
      get.

   def public property AssignedEditPositionCount as integer
      get.

   def public property AvailableEditPositionCount as integer
      get.

   def public property Culture as System.Globalization.CultureInfo
      get.

   def public static property DefaultPasswordChar as character
      get.

   def public property EditPositionCount as integer
      get.

   def public property EditPositions as System.Collections.IEnumerator
      get.

   def public property IncludeLiterals as logical
      get.
      set.

   def public property IncludePrompt as logical
      get.
      set.

   def public property AsciiOnly as logical
      get.

   def public property IsPassword as logical
      get.
      set.

   def public static property InvalidIndex as integer
      get.

   def public property LastAssignedPosition as integer
      get.

   def public property Length as integer
      get.

   def public property Mask as character
      get.

   def public property MaskCompleted as logical
      get.

   def public property MaskFull as logical
      get.

   def public property PasswordChar as character
      get.
      set.

   def public property PromptChar as character
      get.
      set.

   def public property ResetOnPrompt as logical
      get.
      set.

   def public property ResetOnSpace as logical
      get.
      set.

   def public property SkipLiterals as logical
      get.
      set.

   def public property Item as character
      get.

   constructor public MaskedTextProvider(input mask as character):
   end constructor.

   constructor public MaskedTextProvider(input mask as character, input restrictToAscii as logical):
   end constructor.

   constructor public MaskedTextProvider(input mask as character, input culture as System.Globalization.CultureInfo):
   end constructor.

   constructor public MaskedTextProvider(input mask as character, input culture as System.Globalization.CultureInfo, input restrictToAscii as logical):
   end constructor.

   constructor public MaskedTextProvider(input mask as character, input passwordChar as character, input allowPromptAsInput as logical):
   end constructor.

   constructor public MaskedTextProvider(input mask as character, input culture as System.Globalization.CultureInfo, input passwordChar as character, input allowPromptAsInput as logical):
   end constructor.

   constructor public MaskedTextProvider(input mask as character, input culture as System.Globalization.CultureInfo, input allowPromptAsInput as logical, input promptChar as character, input passwordChar as character, input restrictToAscii as logical):
   end constructor.

   method public final override System.Object Clone():
   end method.

   method public final logical Add(input input as character):
   end method.

   method public final logical Add(input input as character, input testPosition as integer, input resultHint as System.ComponentModel.MaskedTextResultHint):
   end method.

   method public final logical Add(input input as character):
   end method.

   method public final logical Add(input input as character, input testPosition as integer, input resultHint as System.ComponentModel.MaskedTextResultHint):
   end method.

   method public final void Clear():
   end method.

   method public final void Clear(input resultHint as System.ComponentModel.MaskedTextResultHint):
   end method.

   method public final integer FindAssignedEditPositionFrom(input position as integer, input direction as logical):
   end method.

   method public final integer FindAssignedEditPositionInRange(input startPosition as integer, input endPosition as integer, input direction as logical):
   end method.

   method public final integer FindEditPositionFrom(input position as integer, input direction as logical):
   end method.

   method public final integer FindEditPositionInRange(input startPosition as integer, input endPosition as integer, input direction as logical):
   end method.

   method public final integer FindNonEditPositionFrom(input position as integer, input direction as logical):
   end method.

   method public final integer FindNonEditPositionInRange(input startPosition as integer, input endPosition as integer, input direction as logical):
   end method.

   method public final integer FindUnassignedEditPositionFrom(input position as integer, input direction as logical):
   end method.

   method public final integer FindUnassignedEditPositionInRange(input startPosition as integer, input endPosition as integer, input direction as logical):
   end method.

   method public final static logical GetOperationResultFromHint(input hint as System.ComponentModel.MaskedTextResultHint):
   end method.

   method public final logical InsertAt(input input as character, input position as integer):
   end method.

   method public final logical InsertAt(input input as character, input position as integer, input testPosition as integer, input resultHint as System.ComponentModel.MaskedTextResultHint):
   end method.

   method public final logical InsertAt(input input as character, input position as integer):
   end method.

   method public final logical InsertAt(input input as character, input position as integer, input testPosition as integer, input resultHint as System.ComponentModel.MaskedTextResultHint):
   end method.

   method public final logical IsAvailablePosition(input position as integer):
   end method.

   method public final logical IsEditPosition(input position as integer):
   end method.

   method public final static logical IsValidInputChar(input c as character):
   end method.

   method public final static logical IsValidMaskChar(input c as character):
   end method.

   method public final static logical IsValidPasswordChar(input c as character):
   end method.

   method public final logical Remove():
   end method.

   method public final logical Remove(input testPosition as integer, input resultHint as System.ComponentModel.MaskedTextResultHint):
   end method.

   method public final logical RemoveAt(input position as integer):
   end method.

   method public final logical RemoveAt(input startPosition as integer, input endPosition as integer):
   end method.

   method public final logical RemoveAt(input startPosition as integer, input endPosition as integer, input testPosition as integer, input resultHint as System.ComponentModel.MaskedTextResultHint):
   end method.

   method public final logical Replace(input input as character, input position as integer):
   end method.

   method public final logical Replace(input input as character, input position as integer, input testPosition as integer, input resultHint as System.ComponentModel.MaskedTextResultHint):
   end method.

   method public final logical Replace(input input as character, input startPosition as integer, input endPosition as integer, input testPosition as integer, input resultHint as System.ComponentModel.MaskedTextResultHint):
   end method.

   method public final logical Replace(input input as character, input position as integer):
   end method.

   method public final logical Replace(input input as character, input position as integer, input testPosition as integer, input resultHint as System.ComponentModel.MaskedTextResultHint):
   end method.

   method public final logical Replace(input input as character, input startPosition as integer, input endPosition as integer, input testPosition as integer, input resultHint as System.ComponentModel.MaskedTextResultHint):
   end method.

   method public final logical Set(input input as character):
   end method.

   method public final logical Set(input input as character, input testPosition as integer, input resultHint as System.ComponentModel.MaskedTextResultHint):
   end method.

   method public final character ToDisplayString():
   end method.

   method public override character ToString():
   end method.

   method public final character ToString(input ignorePasswordChar as logical):
   end method.

   method public final character ToString(input startPosition as integer, input length as integer):
   end method.

   method public final character ToString(input ignorePasswordChar as logical, input startPosition as integer, input length as integer):
   end method.

   method public final character ToString(input includePrompt as logical, input includeLiterals as logical):
   end method.

   method public final character ToString(input includePrompt as logical, input includeLiterals as logical, input startPosition as integer, input length as integer):
   end method.

   method public final character ToString(input ignorePasswordChar as logical, input includePrompt as logical, input includeLiterals as logical, input startPosition as integer, input length as integer):
   end method.

   method public final logical VerifyChar(input input as character, input position as integer, input hint as System.ComponentModel.MaskedTextResultHint):
   end method.

   method public final logical VerifyEscapeChar(input input as character, input position as integer):
   end method.

   method public final logical VerifyString(input input as character):
   end method.

   method public final logical VerifyString(input input as character, input testPosition as integer, input resultHint as System.ComponentModel.MaskedTextResultHint):
   end method.

end class.
