class System.DateTime
   inherits System.ValueType
   implements System.IComparable, System.IFormattable, System.IConvertible, System.Runtime.Serialization.ISerializable, System.IComparable, System.IEquatable
   final:

   def public static variable MinValue as datetime.

   def public static variable MaxValue as datetime.

   def public property Date as datetime
      get.

   def public property Day as integer
      get.

   def public property DayOfWeek as System.DayOfWeek
      get.

   def public property DayOfYear as integer
      get.

   def public property Hour as integer
      get.

   def public property Kind as System.DateTimeKind
      get.

   def public property Millisecond as integer
      get.

   def public property Minute as integer
      get.

   def public property Month as integer
      get.

   def public static property Now as datetime
      get.

   def public static property UtcNow as datetime
      get.

   def public property Second as integer
      get.

   def public property Ticks as int64
      get.

   def public property TimeOfDay as System.TimeSpan
      get.

   def public static property Today as datetime
      get.

   def public property Year as integer
      get.

   constructor public DateTime(input ticks as int64):
   end constructor.

   constructor public DateTime(input ticks as int64, input kind as System.DateTimeKind):
   end constructor.

   constructor public DateTime(input year as integer, input month as integer, input day as integer):
   end constructor.

   constructor public DateTime(input year as integer, input month as integer, input day as integer, input calendar as System.Globalization.Calendar):
   end constructor.

   constructor public DateTime(input year as integer, input month as integer, input day as integer, input hour as integer, input minute as integer, input second as integer):
   end constructor.

   constructor public DateTime(input year as integer, input month as integer, input day as integer, input hour as integer, input minute as integer, input second as integer, input kind as System.DateTimeKind):
   end constructor.

   constructor public DateTime(input year as integer, input month as integer, input day as integer, input hour as integer, input minute as integer, input second as integer, input calendar as System.Globalization.Calendar):
   end constructor.

   constructor public DateTime(input year as integer, input month as integer, input day as integer, input hour as integer, input minute as integer, input second as integer, input millisecond as integer):
   end constructor.

   constructor public DateTime(input year as integer, input month as integer, input day as integer, input hour as integer, input minute as integer, input second as integer, input millisecond as integer, input kind as System.DateTimeKind):
   end constructor.

   constructor public DateTime(input year as integer, input month as integer, input day as integer, input hour as integer, input minute as integer, input second as integer, input millisecond as integer, input calendar as System.Globalization.Calendar):
   end constructor.

   constructor public DateTime(input year as integer, input month as integer, input day as integer, input hour as integer, input minute as integer, input second as integer, input millisecond as integer, input calendar as System.Globalization.Calendar, input kind as System.DateTimeKind):
   end constructor.

   method public final datetime Add(input value as System.TimeSpan):
   end method.

   method public final datetime AddDays(input value as decimal):
   end method.

   method public final datetime AddHours(input value as decimal):
   end method.

   method public final datetime AddMilliseconds(input value as decimal):
   end method.

   method public final datetime AddMinutes(input value as decimal):
   end method.

   method public final datetime AddMonths(input months as integer):
   end method.

   method public final datetime AddSeconds(input value as decimal):
   end method.

   method public final datetime AddTicks(input value as int64):
   end method.

   method public final datetime AddYears(input value as integer):
   end method.

   method public final static integer Compare(input t1 as datetime, input t2 as datetime):
   end method.

   method public final integer CompareTo(input value as System.Object):
   end method.

   method public final integer CompareTo(input value as datetime):
   end method.

   method public final static integer DaysInMonth(input year as integer, input month as integer):
   end method.

   method public override logical Equals(input value as System.Object):
   end method.

   method public final logical Equals(input value as datetime):
   end method.

   method public final static logical Equals(input t1 as datetime, input t2 as datetime):
   end method.

   method public final static datetime FromBinary(input dateData as int64):
   end method.

   method public final static datetime FromFileTime(input fileTime as int64):
   end method.

   method public final static datetime FromFileTimeUtc(input fileTime as int64):
   end method.

   method public final static datetime FromOADate(input d as decimal):
   end method.

   method public final logical IsDaylightSavingTime():
   end method.

   method public final static datetime SpecifyKind(input value as datetime, input kind as System.DateTimeKind):
   end method.

   method public final int64 ToBinary():
   end method.

   method public final override integer GetHashCode():
   end method.

   method public final static logical IsLeapYear(input year as integer):
   end method.

   method public final static datetime Parse(input s as character):
   end method.

   method public final static datetime Parse(input s as character, input provider as System.IFormatProvider):
   end method.

   method public final static datetime Parse(input s as character, input provider as System.IFormatProvider, input styles as System.Globalization.DateTimeStyles):
   end method.

   method public final static datetime ParseExact(input s as character, input format as character, input provider as System.IFormatProvider):
   end method.

   method public final static datetime ParseExact(input s as character, input format as character, input provider as System.IFormatProvider, input style as System.Globalization.DateTimeStyles):
   end method.

   method public final static datetime ParseExact(input s as character, input formats as System.String extent, input provider as System.IFormatProvider, input style as System.Globalization.DateTimeStyles):
   end method.

   method public final System.TimeSpan Subtract(input value as datetime):
   end method.

   method public final datetime Subtract(input value as System.TimeSpan):
   end method.

   method public final decimal ToOADate():
   end method.

   method public final int64 ToFileTime():
   end method.

   method public final int64 ToFileTimeUtc():
   end method.

   method public final datetime ToLocalTime():
   end method.

   method public final character ToLongDateString():
   end method.

   method public final character ToLongTimeString():
   end method.

   method public final character ToShortDateString():
   end method.

   method public final character ToShortTimeString():
   end method.

   method public override character ToString():
   end method.

   method public final character ToString(input format as character):
   end method.

   method public final character ToString(input provider as System.IFormatProvider):
   end method.

   method public final character ToString(input format as character, input provider as System.IFormatProvider):
   end method.

   method public final datetime ToUniversalTime():
   end method.

   method public final static logical TryParse(input s as character, input result as datetime):
   end method.

   method public final static logical TryParse(input s as character, input provider as System.IFormatProvider, input styles as System.Globalization.DateTimeStyles, input result as datetime):
   end method.

   method public final static logical TryParseExact(input s as character, input format as character, input provider as System.IFormatProvider, input style as System.Globalization.DateTimeStyles, input result as datetime):
   end method.

   method public final static logical TryParseExact(input s as character, input formats as System.String extent, input provider as System.IFormatProvider, input style as System.Globalization.DateTimeStyles, input result as datetime):
   end method.

   method public final System.String extent GetDateTimeFormats():
   end method.

   method public final System.String extent GetDateTimeFormats(input provider as System.IFormatProvider):
   end method.

   method public final System.String extent GetDateTimeFormats(input format as character):
   end method.

   method public final System.String extent GetDateTimeFormats(input format as character, input provider as System.IFormatProvider):
   end method.

   method public final System.TypeCode GetTypeCode():
   end method.

end class.
