class System.TimeSpan
   inherits System.ValueType
   implements System.IComparable, System.IComparable, System.IEquatable, System.IFormattable
   final:

   def public static variable TicksPerMillisecond as int64.

   def public static variable TicksPerSecond as int64.

   def public static variable TicksPerMinute as int64.

   def public static variable TicksPerHour as int64.

   def public static variable TicksPerDay as int64.

   def public static variable Zero as System.TimeSpan.

   def public static variable MaxValue as System.TimeSpan.

   def public static variable MinValue as System.TimeSpan.

   def public property Ticks as int64
      get.

   def public property Days as integer
      get.

   def public property Hours as integer
      get.

   def public property Milliseconds as integer
      get.

   def public property Minutes as integer
      get.

   def public property Seconds as integer
      get.

   def public property TotalDays as decimal
      get.

   def public property TotalHours as decimal
      get.

   def public property TotalMilliseconds as decimal
      get.

   def public property TotalMinutes as decimal
      get.

   def public property TotalSeconds as decimal
      get.

   constructor public TimeSpan(input ticks as int64):
   end constructor.

   constructor public TimeSpan(input hours as integer, input minutes as integer, input seconds as integer):
   end constructor.

   constructor public TimeSpan(input days as integer, input hours as integer, input minutes as integer, input seconds as integer):
   end constructor.

   constructor public TimeSpan(input days as integer, input hours as integer, input minutes as integer, input seconds as integer, input milliseconds as integer):
   end constructor.

   method public final System.TimeSpan Add(input ts as System.TimeSpan):
   end method.

   method public final static integer Compare(input t1 as System.TimeSpan, input t2 as System.TimeSpan):
   end method.

   method public final integer CompareTo(input value as System.Object):
   end method.

   method public final integer CompareTo(input value as System.TimeSpan):
   end method.

   method public final static System.TimeSpan FromDays(input value as decimal):
   end method.

   method public final System.TimeSpan Duration():
   end method.

   method public override logical Equals(input value as System.Object):
   end method.

   method public final logical Equals(input obj as System.TimeSpan):
   end method.

   method public final static logical Equals(input t1 as System.TimeSpan, input t2 as System.TimeSpan):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public final static System.TimeSpan FromHours(input value as decimal):
   end method.

   method public final static System.TimeSpan FromMilliseconds(input value as decimal):
   end method.

   method public final static System.TimeSpan FromMinutes(input value as decimal):
   end method.

   method public final System.TimeSpan Negate():
   end method.

   method public final static System.TimeSpan FromSeconds(input value as decimal):
   end method.

   method public final System.TimeSpan Subtract(input ts as System.TimeSpan):
   end method.

   method public final static System.TimeSpan FromTicks(input value as int64):
   end method.

   method public final static System.TimeSpan Parse(input s as character):
   end method.

   method public final static System.TimeSpan Parse(input input as character, input formatProvider as System.IFormatProvider):
   end method.

   method public final static System.TimeSpan ParseExact(input input as character, input format as character, input formatProvider as System.IFormatProvider):
   end method.

   method public final static System.TimeSpan ParseExact(input input as character, input formats as System.String extent, input formatProvider as System.IFormatProvider):
   end method.

   method public final static System.TimeSpan ParseExact(input input as character, input format as character, input formatProvider as System.IFormatProvider, input styles as System.Globalization.TimeSpanStyles):
   end method.

   method public final static System.TimeSpan ParseExact(input input as character, input formats as System.String extent, input formatProvider as System.IFormatProvider, input styles as System.Globalization.TimeSpanStyles):
   end method.

   method public final static logical TryParse(input s as character, input result as System.TimeSpan):
   end method.

   method public final static logical TryParse(input input as character, input formatProvider as System.IFormatProvider, input result as System.TimeSpan):
   end method.

   method public final static logical TryParseExact(input input as character, input format as character, input formatProvider as System.IFormatProvider, input result as System.TimeSpan):
   end method.

   method public final static logical TryParseExact(input input as character, input formats as System.String extent, input formatProvider as System.IFormatProvider, input result as System.TimeSpan):
   end method.

   method public final static logical TryParseExact(input input as character, input format as character, input formatProvider as System.IFormatProvider, input styles as System.Globalization.TimeSpanStyles, input result as System.TimeSpan):
   end method.

   method public final static logical TryParseExact(input input as character, input formats as System.String extent, input formatProvider as System.IFormatProvider, input styles as System.Globalization.TimeSpanStyles, input result as System.TimeSpan):
   end method.

   method public override character ToString():
   end method.

   method public final character ToString(input format as character):
   end method.

   method public final character ToString(input format as character, input formatProvider as System.IFormatProvider):
   end method.

end class.
