class System.Uri
   inherits System.Object
   implements System.Runtime.Serialization.ISerializable:

   def public static variable UriSchemeFile as character.

   def public static variable UriSchemeFtp as character.

   def public static variable UriSchemeGopher as character.

   def public static variable UriSchemeHttp as character.

   def public static variable UriSchemeHttps as character.

   def public static variable UriSchemeMailto as character.

   def public static variable UriSchemeNews as character.

   def public static variable UriSchemeNntp as character.

   def public static variable UriSchemeNetTcp as character.

   def public static variable UriSchemeNetPipe as character.

   def public static variable SchemeDelimiter as character.

   def public property AbsolutePath as character
      get.

   def public property AbsoluteUri as character
      get.

   def public property LocalPath as character
      get.

   def public property Authority as character
      get.

   def public property HostNameType as System.UriHostNameType
      get.

   def public property IsDefaultPort as logical
      get.

   def public property IsFile as logical
      get.

   def public property IsLoopback as logical
      get.

   def public property PathAndQuery as character
      get.

   def public property Segments as System.String extent
      get.

   def public property IsUnc as logical
      get.

   def public property Host as character
      get.

   def public property Port as integer
      get.

   def public property Query as character
      get.

   def public property Fragment as character
      get.

   def public property Scheme as character
      get.

   def public property OriginalString as character
      get.

   def public property DnsSafeHost as character
      get.

   def public property IdnHost as character
      get.

   def public property IsAbsoluteUri as logical
      get.

   def public property UserEscaped as logical
      get.

   def public property UserInfo as character
      get.

   constructor public Uri(input uriString as character):
   end constructor.

   constructor public Uri(input uriString as character, input dontEscape as logical):
   end constructor.

   constructor public Uri(input baseUri as System.Uri, input relativeUri as character, input dontEscape as logical):
   end constructor.

   constructor public Uri(input uriString as character, input uriKind as System.UriKind):
   end constructor.

   constructor public Uri(input baseUri as System.Uri, input relativeUri as character):
   end constructor.

   constructor public Uri(input baseUri as System.Uri, input relativeUri as System.Uri):
   end constructor.

   constructor protected Uri(input serializationInfo as System.Runtime.Serialization.SerializationInfo, input streamingContext as System.Runtime.Serialization.StreamingContext):
   end constructor.

   method protected final void GetObjectData(input serializationInfo as System.Runtime.Serialization.SerializationInfo, input streamingContext as System.Runtime.Serialization.StreamingContext):
   end method.

   method public final static System.UriHostNameType CheckHostName(input name as character):
   end method.

   method public final character GetLeftPart(input part as System.UriPartial):
   end method.

   method public final static character HexEscape(input character as character):
   end method.

   method public final static character HexUnescape(input pattern as character, input index as integer):
   end method.

   method public final static logical IsHexEncoding(input pattern as character, input index as integer):
   end method.

   method public final static logical CheckSchemeName(input schemeName as character):
   end method.

   method public final static logical IsHexDigit(input character as character):
   end method.

   method public final static integer FromHex(input digit as character):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public override character ToString():
   end method.

   method public override logical Equals(input comparand as System.Object):
   end method.

   method public final System.Uri MakeRelativeUri(input uri as System.Uri):
   end method.

   method public final character MakeRelative(input toUri as System.Uri):
   end method.

   method protected void Parse():
   end method.

   method protected void Canonicalize():
   end method.

   method protected void Escape():
   end method.

   method protected character Unescape(input path as character):
   end method.

   method protected final static character EscapeString(input str as character):
   end method.

   method protected void CheckSecurity():
   end method.

   method protected logical IsReservedCharacter(input character as character):
   end method.

   method protected final static logical IsExcludedCharacter(input character as character):
   end method.

   method protected logical IsBadFileSystemCharacter(input character as character):
   end method.

   method public final static logical TryCreate(input uriString as character, input uriKind as System.UriKind, input result as System.Uri):
   end method.

   method public final static logical TryCreate(input baseUri as System.Uri, input relativeUri as character, input result as System.Uri):
   end method.

   method public final static logical TryCreate(input baseUri as System.Uri, input relativeUri as System.Uri, input result as System.Uri):
   end method.

   method public final character GetComponents(input components as System.UriComponents, input format as System.UriFormat):
   end method.

   method public final static integer Compare(input uri1 as System.Uri, input uri2 as System.Uri, input partsToCompare as System.UriComponents, input compareFormat as System.UriFormat, input comparisonType as System.StringComparison):
   end method.

   method public final logical IsWellFormedOriginalString():
   end method.

   method public final static logical IsWellFormedUriString(input uriString as character, input uriKind as System.UriKind):
   end method.

   method public final static character UnescapeDataString(input stringToUnescape as character):
   end method.

   method public final static character EscapeUriString(input stringToEscape as character):
   end method.

   method public final static character EscapeDataString(input stringToEscape as character):
   end method.

   method public final logical IsBaseOf(input uri as System.Uri):
   end method.

end class.
