class System.Xml.XmlDocument
   inherits System.Xml.XmlNode
   implements System.ICloneable, System.Collections.IEnumerable, System.Xml.XPath.IXPathNavigable:

   def public override property NodeType as System.Xml.XmlNodeType
      get.

   def public override property ParentNode as System.Xml.XmlNode
      get.

   def public property DocumentType as System.Xml.XmlDocumentType
      get.

   def public property Implementation as System.Xml.XmlImplementation
      get.

   def public override property Name as character
      get.

   def public override property LocalName as character
      get.

   def public property DocumentElement as System.Xml.XmlElement
      get.

   def public override property OwnerDocument as System.Xml.XmlDocument
      get.

   def public property Schemas as System.Xml.Schema.XmlSchemaSet
      get.
      set.

   def public property XmlResolver as System.Xml.XmlResolver
      set.

   def public property NameTable as System.Xml.XmlNameTable
      get.

   def public property PreserveWhitespace as logical
      get.
      set.

   def public override property IsReadOnly as logical
      get.

   def public override property InnerText as character
      set.

   def public override property InnerXml as character
      get.
      set.

   def public override property SchemaInfo as System.Xml.Schema.IXmlSchemaInfo
      get.

   def public override property BaseURI as character
      get.

   def public event NodeInserting signature void (input sender as System.Object, input e as System.Xml.XmlNodeChangedEventArgs).

   def public event NodeInserted signature void (input sender as System.Object, input e as System.Xml.XmlNodeChangedEventArgs).

   def public event NodeRemoving signature void (input sender as System.Object, input e as System.Xml.XmlNodeChangedEventArgs).

   def public event NodeRemoved signature void (input sender as System.Object, input e as System.Xml.XmlNodeChangedEventArgs).

   def public event NodeChanging signature void (input sender as System.Object, input e as System.Xml.XmlNodeChangedEventArgs).

   def public event NodeChanged signature void (input sender as System.Object, input e as System.Xml.XmlNodeChangedEventArgs).

   constructor public XmlDocument():
   end constructor.

   constructor public XmlDocument(input nt as System.Xml.XmlNameTable):
   end constructor.

   constructor protected XmlDocument(input imp as System.Xml.XmlImplementation):
   end constructor.

   method public override System.Xml.XmlNode CloneNode(input deep as logical):
   end method.

   method public final System.Xml.XmlAttribute CreateAttribute(input name as character):
   end method.

   method public System.Xml.XmlCDataSection CreateCDataSection(input data as character):
   end method.

   method public System.Xml.XmlComment CreateComment(input data as character):
   end method.

   method public System.Xml.XmlDocumentType CreateDocumentType(input name as character, input publicId as character, input systemId as character, input internalSubset as character):
   end method.

   method public System.Xml.XmlDocumentFragment CreateDocumentFragment():
   end method.

   method public final System.Xml.XmlElement CreateElement(input name as character):
   end method.

   method public System.Xml.XmlEntityReference CreateEntityReference(input name as character):
   end method.

   method public System.Xml.XmlProcessingInstruction CreateProcessingInstruction(input target as character, input data as character):
   end method.

   method public System.Xml.XmlDeclaration CreateXmlDeclaration(input version as character, input encoding as character, input standalone as character):
   end method.

   method public System.Xml.XmlText CreateTextNode(input text as character):
   end method.

   method public System.Xml.XmlSignificantWhitespace CreateSignificantWhitespace(input text as character):
   end method.

   method public override System.Xml.XPath.XPathNavigator CreateNavigator():
   end method.

   method protected System.Xml.XPath.XPathNavigator CreateNavigator(input node as System.Xml.XmlNode):
   end method.

   method public System.Xml.XmlWhitespace CreateWhitespace(input text as character):
   end method.

   method public System.Xml.XmlNodeList GetElementsByTagName(input name as character):
   end method.

   method public final System.Xml.XmlAttribute CreateAttribute(input qualifiedName as character, input namespaceURI as character):
   end method.

   method public final System.Xml.XmlElement CreateElement(input qualifiedName as character, input namespaceURI as character):
   end method.

   method public System.Xml.XmlNodeList GetElementsByTagName(input localName as character, input namespaceURI as character):
   end method.

   method public System.Xml.XmlElement GetElementById(input elementId as character):
   end method.

   method public System.Xml.XmlNode ImportNode(input node as System.Xml.XmlNode, input deep as logical):
   end method.

   method public System.Xml.XmlAttribute CreateAttribute(input prefix as character, input localName as character, input namespaceURI as character):
   end method.

   method protected System.Xml.XmlAttribute CreateDefaultAttribute(input prefix as character, input localName as character, input namespaceURI as character):
   end method.

   method public System.Xml.XmlElement CreateElement(input prefix as character, input localName as character, input namespaceURI as character):
   end method.

   method public System.Xml.XmlNode CreateNode(input type as System.Xml.XmlNodeType, input prefix as character, input name as character, input namespaceURI as character):
   end method.

   method public System.Xml.XmlNode CreateNode(input nodeTypeString as character, input name as character, input namespaceURI as character):
   end method.

   method public System.Xml.XmlNode CreateNode(input type as System.Xml.XmlNodeType, input name as character, input namespaceURI as character):
   end method.

   method public System.Xml.XmlNode ReadNode(input reader as System.Xml.XmlReader):
   end method.

   method public void Load(input filename as character):
   end method.

   method public void Load(input inStream as System.IO.Stream):
   end method.

   method public void Load(input txtReader as System.IO.TextReader):
   end method.

   method public void Load(input reader as System.Xml.XmlReader):
   end method.

   method public void LoadXml(input xml as character):
   end method.

   method public void Save(input filename as character):
   end method.

   method public void Save(input outStream as System.IO.Stream):
   end method.

   method public void Save(input writer as System.IO.TextWriter):
   end method.

   method public void Save(input w as System.Xml.XmlWriter):
   end method.

   method public override void WriteTo(input w as System.Xml.XmlWriter):
   end method.

   method public override void WriteContentTo(input xw as System.Xml.XmlWriter):
   end method.

   method public final void Validate(input validationEventHandler as System.Xml.Schema.ValidationEventHandler):
   end method.

   method public final void Validate(input validationEventHandler as System.Xml.Schema.ValidationEventHandler, input nodeToValidate as System.Xml.XmlNode):
   end method.

end class.
