interface Telerik.WinControls.IComponentTreeHandler
   inherits Telerik.WinControls.Layouts.ILayoutHandler:

   def public property IsDesignMode as logical
      get.

   def public property ElementTree as Telerik.WinControls.ComponentThemableElementTree
      get.

   def public property Behavior as Telerik.WinControls.ComponentInputBehavior
      get.

   def public property ThemeClassName as character
      get.
      set.

   def public property ThemeName as character
      get.
      set.

   def public property Name as character
      get.
      set.

   def public property RootElement as Telerik.WinControls.RootRadElement
      get.

   def public property SmallImageList as System.Windows.Forms.ImageList
      get.
      set.

   def public property ImageList as System.Windows.Forms.ImageList
      get.
      set.

   def public property SmallImageScalingSize as System.Drawing.Size
      get.
      set.

   def public property ImageScalingSize as System.Drawing.Size
      get.
      set.

   def public property Initializing as logical
      get.

   def public property LayoutManager as Telerik.WinControls.Layouts.ILayoutManager
      get.

   def public event ThemeNameChanged signature void (input source as System.Object, input args as Telerik.WinControls.ThemeNameChangedEventArgs).

   def public event ToolTipTextNeeded signature void (input sender as System.Object, input e as Telerik.WinControls.ToolTipTextNeededEventArgs).

   method public System.Object GetAmbientPropertyValue(input property as Telerik.WinControls.RadProperty).

   method public void OnAmbientPropertyChanged(input property as Telerik.WinControls.RadProperty).

   method public void InitializeRootElement(input rootElement as Telerik.WinControls.RootRadElement).

   method public void LoadElementTree(input size as System.Drawing.Size).

   method public void LoadElementTree().

   method public Telerik.WinControls.RootRadElement CreateRootElement().

   method public void CreateChildItems(input parent as Telerik.WinControls.RadElement).

   method public void CallOnThemeNameChanged(input e as Telerik.WinControls.ThemeNameChangedEventArgs).

   method public void InvalidateIfNotSuspended().

   method public logical GetShowFocusCues().

   method public void OnDisplayPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs).

   method public void CallOnMouseCaptureChanged(input e as System.EventArgs).

   method public void CallOnToolTipTextNeeded(input sender as System.Object, input e as Telerik.WinControls.ToolTipTextNeededEventArgs).

   method public void InvalidateElement(input element as Telerik.WinControls.RadElement).

   method public void InvalidateElement(input element as Telerik.WinControls.RadElement, input bounds as System.Drawing.Rectangle).

   method public logical OnFocusRequested(input element as Telerik.WinControls.RadElement).

   method public logical OnCaptureChangeRequested(input element as Telerik.WinControls.RadElement, input capture as logical).

   method public void SuspendUpdate().

   method public void ResumeUpdate().

   method public void RegisterHostedControl(input hostElement as Telerik.WinControls.RadHostItem).

   method public void UnregisterHostedControl(input hostElement as Telerik.WinControls.RadHostItem, input removeControl as logical).

   method public logical ControlDefinesThemeForElement(input element as Telerik.WinControls.RadElement).

   method public void CallOnScreenTipNeeded(input sender as System.Object, input e as Telerik.WinControls.ScreenTipNeededEventArgs).

   method public void ControlThemeChangedCallback().

   method public void InvokeLayoutCallback(input callback as Telerik.WinControls.Layouts.LayoutCallback).

end interface.
