class Telerik.WinControls.Layouts.RadMatrix
   inherits System.ValueType
   final:

   def public static variable PI as decimal.

   def public static variable TwoPI as decimal.

   def public static variable RadianToDegree as decimal.

   def public static variable DegreeToRadian as decimal.

   def public static variable Identity as Telerik.WinControls.Layouts.RadMatrix.

   def public static variable Empty as Telerik.WinControls.Layouts.RadMatrix.

   def public variable DX as decimal.

   def public variable DY as decimal.

   def public variable M11 as decimal.

   def public variable M12 as decimal.

   def public variable M21 as decimal.

   def public variable M22 as decimal.

   def public property IsEmpty as logical
      get.

   def public property IsIdentity as logical
      get.

   def public property Determinant as decimal
      get.

   def public property IsInvertible as logical
      get.

   def public property ScaleX as decimal
      get.

   def public property ScaleY as decimal
      get.

   def public property Rotation as decimal
      get.

   def public property Elements as System.Single extent
      get.

   constructor public RadMatrix(input m11 as decimal, input m12 as decimal, input m21 as decimal, input m22 as decimal, input dx as decimal, input dy as decimal):
   end constructor.

   constructor public RadMatrix(input source as Telerik.WinControls.Layouts.RadMatrix):
   end constructor.

   constructor public RadMatrix(input gdiMatrix as System.Drawing.Drawing2D.Matrix):
   end constructor.

   constructor public RadMatrix(input offset as System.Drawing.PointF):
   end constructor.

   constructor public RadMatrix(input scaleX as decimal, input scaleY as decimal):
   end constructor.

   constructor public RadMatrix(input scaleX as decimal, input scaleY as decimal, input origin as System.Drawing.PointF):
   end constructor.

   constructor public RadMatrix(input angle as decimal):
   end constructor.

   constructor public RadMatrix(input angle as decimal, input origin as System.Drawing.PointF):
   end constructor.

   method public final void Scale(input scaleX as decimal, input scaleY as decimal):
   end method.

   method public final void Scale(input scaleX as decimal, input scaleY as decimal, input order as System.Drawing.Drawing2D.MatrixOrder):
   end method.

   method public final void Rotate(input angle as decimal):
   end method.

   method public final void Rotate(input angle as decimal, input order as System.Drawing.Drawing2D.MatrixOrder):
   end method.

   method public final void RotateAt(input angle as decimal, input origin as System.Drawing.PointF):
   end method.

   method public final void RotateAt(input angle as decimal, input origin as System.Drawing.PointF, input order as System.Drawing.Drawing2D.MatrixOrder):
   end method.

   method public final void Translate(input dx as decimal, input dy as decimal):
   end method.

   method public final void Translate(input dx as decimal, input dy as decimal, input order as System.Drawing.Drawing2D.MatrixOrder):
   end method.

   method public final void Multiply(input m as Telerik.WinControls.Layouts.RadMatrix):
   end method.

   method public final void Multiply(input m as Telerik.WinControls.Layouts.RadMatrix, input order as System.Drawing.Drawing2D.MatrixOrder):
   end method.

   method public final void Divide(input m as Telerik.WinControls.Layouts.RadMatrix):
   end method.

   method public final void Invert():
   end method.

   method public final void Reset():
   end method.

   method public final System.Drawing.PointF TransformPoint(input point as System.Drawing.PointF):
   end method.

   method public final void TransformPoints(input points as System.Drawing.PointF extent):
   end method.

   method public final System.Drawing.RectangleF TransformRectangle(input bounds as System.Drawing.RectangleF):
   end method.

   method public final System.Drawing.Drawing2D.Matrix ToGdiMatrix():
   end method.

   method public final logical Equals(input gdiMatrix as System.Drawing.Drawing2D.Matrix):
   end method.

   method public final logical Equals(input elements as System.Single extent):
   end method.

   method public final static decimal PointsDistance(input pt1 as System.Drawing.PointF, input pt2 as System.Drawing.PointF):
   end method.

   method public final override integer GetHashCode():
   end method.

   method public override logical Equals(input obj as System.Object):
   end method.

   method public override character ToString():
   end method.

end class.
