class Telerik.WinControls.UI.AppointmentDraggingBehavior
   inherits Telerik.WinControls.RadDragDropService
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.IMessageListener:

   def public property AutoScrollDayViewOnDrag as logical
      get.
      set.

   def public property ShowOccurrenceValidationMessages as logical
      get.
      set.

   def public property ShowCreateExceptionDialog as logical
      get.
      set.

   def public property DragNavigationOffset as integer
      get.
      set.

   def public property DragNavigationInterval as System.TimeSpan
      get.
      set.

   def public property Scheduler as Telerik.WinControls.UI.RadScheduler
      get.

   def public property IsDragging as logical
      get.

   def public property ActiveOwner as Telerik.WinControls.UI.SchedulerVisualElement
      get.

   def public property ActiveFeedback as Telerik.WinControls.UI.DragFeedbackElement
      get.

   def public event FeedbackInitialized signature void (input sender as System.Object, input e as Telerik.WinControls.UI.FeedbackInitializingEventArgs).

   def public event FeedbackCreating signature void (input sender as System.Object, input e as Telerik.WinControls.UI.FeedbackCreatingEventArgs).

   def public event AppointmentMoving signature void (input sender as System.Object, input e as Telerik.WinControls.UI.AppointmentMovingEventArgs).

   def public event AppointmentMoved signature void (input sender as System.Object, input e as System.EventArgs).

   def public event AppointmentDropping signature void (input sender as System.Object, input e as Telerik.WinControls.UI.AppointmentMovingEventArgs).

   def public event AppointmentDropped signature void (input sender as System.Object, input e as Telerik.WinControls.UI.AppointmentMovedEventArgs).

   constructor public AppointmentDraggingBehavior(input activeOwner as Telerik.WinControls.UI.SchedulerVisualElement):
   end constructor.

   constructor public AppointmentDraggingBehavior(input scheduler as Telerik.WinControls.UI.RadScheduler):
   end constructor.

   method protected override logical CanStart(input context as System.Object):
   end method.

   method protected override void OnPreviewDragHint(input e as Telerik.WinControls.PreviewDragHintEventArgs):
   end method.

   method protected override void OnPreviewDragDrop(input e as Telerik.WinControls.RadDropEventArgs):
   end method.

   method protected override void PerformStop():
   end method.

   method protected void ResetCellsHoverState():
   end method.

   method protected override void HandleMouseMove(input mousePos as System.Drawing.Point):
   end method.

   method protected void HandleMouseMoveOutsideControlBounds(input mousePos as System.Drawing.Point, input controlRect as System.Drawing.Rectangle):
   end method.

   method protected override void OnPreviewDragOver(input e as Telerik.WinControls.RadDragOverEventArgs):
   end method.

   method protected datetime GetCellDate(input cell as Telerik.WinControls.UI.SchedulerCellElement):
   end method.

   method protected final Telerik.WinControls.UI.SchedulerCellElement GetCellAtPoint(input location as System.Drawing.Point):
   end method.

   method protected final Telerik.WinControls.UI.DayViewAllDayHeader GetAllDayHeaderAtPoint(input location as System.Drawing.Point):
   end method.

   method protected final Telerik.WinControls.UI.DayViewAppointmentsTable GetDayViewTableAtPoint(input location as System.Drawing.Point):
   end method.

   method protected final Telerik.WinControls.UI.MonthViewAreaElement GetMonthViewAreaAtPoint(input location as System.Drawing.Point):
   end method.

   method protected final Telerik.WinControls.UI.TimelineAppointmentsPresenter GetTimelinePresenterAtPoint(input location as System.Drawing.Point):
   end method.

   method public void MoveFeedback(input newOwner as Telerik.WinControls.UI.SchedulerVisualElement):
   end method.

   method public final void DoDragOver(input controlDropLocation as System.Drawing.Point):
   end method.

   method public logical IsRealDrag(input mouseOffsetPosition as System.Drawing.Point, input mouseDownPosition as System.Drawing.Point):
   end method.

   method public final logical IsElementOwner(input owner as Telerik.WinControls.UI.SchedulerVisualElement):
   end method.

   method public final Telerik.WinControls.UI.DragFeedbackElement GetFeedback(input feedbackOwnerElement as Telerik.WinControls.UI.SchedulerVisualElement):
   end method.

   method public final logical BeginDrag(input newOwner as Telerik.WinControls.UI.SchedulerVisualElement, input appointment as Telerik.WinControls.UI.AppointmentElement):
   end method.

   method protected logical HideFeedbacks():
   end method.

   method public logical RemoveFeedback(input owner as Telerik.WinControls.UI.SchedulerVisualElement):
   end method.

   method public void Drop():
   end method.

   method protected logical ValidateOccurrenceDropTarget(input targetStartDate as datetime, input targetEndDate as datetime, input allDay as logical):
   end method.

   method public logical Move(input newDate as datetime, input cell as Telerik.WinControls.UI.SchedulerCellElement, input newOwner as Telerik.WinControls.UI.SchedulerVisualElement):
   end method.

   method public logical AddToOwnerCollection():
   end method.

   method public Telerik.WinControls.UI.DragFeedbackElement CreateFeedback(input scheduler as Telerik.WinControls.UI.RadScheduler, input view as Telerik.WinControls.UI.SchedulerView, input appointment as Telerik.WinControls.UI.AppointmentElement):
   end method.

   method protected Telerik.WinControls.UI.IEvent PrepareAppointment(input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method protected final void ResetAppointmentVisibility(input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method protected final void SetAppointmentVisibility(input appointment as Telerik.WinControls.UI.IEvent, input visibility as Telerik.WinControls.ElementVisibility):
   end method.

   method protected void InitializeSettings(input appointment as Telerik.WinControls.UI.AppointmentElement):
   end method.

   method protected void OnInitializing(input args as Telerik.WinControls.UI.FeedbackInitializingEventArgs):
   end method.

   method protected void OnFeedbackCreating(input args as Telerik.WinControls.UI.FeedbackCreatingEventArgs):
   end method.

   method protected void OnAppointmentMovingEventArgs(input args as Telerik.WinControls.UI.AppointmentMovingEventArgs):
   end method.

   method protected void OnAppointmentMoved():
   end method.

   method protected void OnAppointmentDropping(input args as Telerik.WinControls.UI.AppointmentMovingEventArgs):
   end method.

   method protected void OnAppointmentDropped(input args as Telerik.WinControls.UI.AppointmentMovedEventArgs):
   end method.

end class.
