class Telerik.WinControls.UI.AppointmentResizingBehavior
   inherits System.Object:

   def protected variable resizeStepOffset as decimal.

   def protected variable upResize as logical.

   def protected variable downResize as logical.

   def protected variable leftResize as logical.

   def protected variable rightResize as logical.

   def public property AutoScrollDayViewOnResize as logical
      get.
      set.

   def public property CursorBoundsOffset as integer
      get.
      set.

   def public property ResizeMinutes as integer
      get.
      set.

   def public property ActiveAppointment as Telerik.WinControls.UI.IEvent
      get.

   def public property IsResizing as logical
      get.

   def public event Initialized signature void (input sender as System.Object, input e as System.EventArgs).

   def public event Finished signature void (input sender as System.Object, input e as Telerik.WinControls.UI.SchedulerAppointmentEventArgs).

   def public event AppointmentResizing signature void (input sender as System.Object, input e as Telerik.WinControls.UI.AppointmentResizingEventArgs).

   def public event AppointmentResized signature void (input sender as System.Object, input e as Telerik.WinControls.UI.AppointmentResizedEventArgs).

   constructor public AppointmentResizingBehavior(input activeOwner as Telerik.WinControls.UI.SchedulerVisualElement):
   end constructor.

   constructor public AppointmentResizingBehavior(input scheduler as Telerik.WinControls.UI.RadScheduler):
   end constructor.

   method protected logical OnInitialized():
   end method.

   method protected void OnFinished(input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method protected void OnAppointmentResizing(input cancelArgs as Telerik.WinControls.UI.AppointmentResizingEventArgs):
   end method.

   method protected void OnAppointmentResized(input args as Telerik.WinControls.UI.AppointmentResizedEventArgs):
   end method.

   method protected logical UpdateMouseCursor(input mousePosition as System.Drawing.Point, input nearRect as System.Drawing.Rectangle, input farRect as System.Drawing.Rectangle):
   end method.

   method protected void UpdateMouseCursor():
   end method.

   method protected logical ResizeVertically(input mousePosition as System.Drawing.Point, input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method protected logical ResizeHorizontally(input mousePosition as System.Drawing.Point, input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method protected logical HandleAppointmentVerticalResize(input cell as Telerik.WinControls.UI.SchedulerCellElement, input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method protected logical HandleAppointmentHorizontalResize(input cell as Telerik.WinControls.UI.SchedulerCellElement, input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method protected logical ValidateExceptionDates(input resized as Telerik.WinControls.UI.IEvent, input startDate as datetime, input duration as System.TimeSpan):
   end method.

   method public logical Resize(input mousePosition as System.Drawing.Point):
   end method.

   method public logical Resize(input mousePosition as System.Drawing.Point, input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method protected Telerik.WinControls.UI.ResizeOptions GetResizeOptions(input owner as Telerik.WinControls.UI.SchedulerVisualElement):
   end method.

   method public final logical RequestResize(input appointment as Telerik.WinControls.UI.AppointmentElement, input newOwner as Telerik.WinControls.UI.SchedulerVisualElement):
   end method.

   method public final logical RequestResize(input appointment as Telerik.WinControls.UI.AppointmentElement, input newOwner as Telerik.WinControls.UI.SchedulerVisualElement, input start as logical):
   end method.

   method public final logical RequestResize(input appointment as Telerik.WinControls.UI.AppointmentElement, input newOwner as Telerik.WinControls.UI.SchedulerVisualElement, input cursorPosition as System.Drawing.Point, input resizeOptions as Telerik.WinControls.UI.ResizeOptions):
   end method.

   method public logical RequestResize(input appointment as Telerik.WinControls.UI.AppointmentElement, input newOwner as Telerik.WinControls.UI.SchedulerVisualElement, input cursorPosition as System.Drawing.Point, input resizeOptions as Telerik.WinControls.UI.ResizeOptions, input start as logical):
   end method.

   method public final logical EndResize():
   end method.

   method public logical EndResize(input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method public final Telerik.WinControls.UI.ResizeInformation GetResizeInformation():
   end method.

   method public final void UpdateResizeOptions(input resizeOptions as Telerik.WinControls.UI.ResizeOptions):
   end method.

end class.
