class Telerik.WinControls.UI.RadScrollLayoutPanel
   inherits Telerik.WinControls.Layouts.LayoutPanel
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode:

   def public static variable ScrollThicknessProperty as Telerik.WinControls.RadProperty.

   def public static variable ForceViewportWidthProperty as Telerik.WinControls.RadProperty.

   def public static variable ForceViewportHeightProperty as Telerik.WinControls.RadProperty.

   def public property HorizontalScrollBar as Telerik.WinControls.UI.RadScrollBarElement
      get.

   def public property VerticalScrollBar as Telerik.WinControls.UI.RadScrollBarElement
      get.

   def public property BlankSpot as Telerik.WinControls.Primitives.FillPrimitive
      get.

   def public property CanHorizontalScroll as logical
      get.

   def public property CanVerticalScroll as logical
      get.

   def public property HorizontalScrollState as Telerik.WinControls.UI.ScrollState
      get.
      set.

   def public property VerticalScrollState as Telerik.WinControls.UI.ScrollState
      get.
      set.

   def public property ScrollThickness as integer
      get.
      set.

   def public property Viewport as Telerik.WinControls.RadElement
      get.
      set.

   def public property UsePhysicalScrolling as logical
      get.
      set.

   def public property PixelsPerLineScroll as System.Drawing.Point
      get.
      set.

   def public property MinValue as System.Drawing.Point
      get.
      set.

   def public property MaxValue as System.Drawing.Point
      get.
      set.

   def public property Value as System.Drawing.Point
      get.
      set.

   def public property ForceViewportWidth as logical
      get.
      set.

   def public property ForceViewportHeight as logical
      get.
      set.

   def public property MeasureWithAvaibleSize as logical
      get.
      set.

   def public event Scroll signature void (input sender as System.Object, input args as Telerik.WinControls.UI.ScrollPanelEventArgs).

   def public event ScrollNeedsChanged signature void (input sender as System.Object, input args as Telerik.WinControls.UI.ScrollNeedsEventArgs).

   def public event ScrollParametersChanged signature void (input sender as System.Object, input args as Telerik.WinControls.UI.RadPanelScrollParametersEventArgs).

   def public event ScrollViewportSet signature void (input sender as System.Object, input args as Telerik.WinControls.UI.ScrollViewportSet).

   constructor public RadScrollLayoutPanel():
   end constructor.

   constructor public RadScrollLayoutPanel(input viewport as Telerik.WinControls.RadElement):
   end constructor.

   constructor public RadScrollLayoutPanel(input viewport as Telerik.WinControls.RadElement, input initialScrollThickness as integer):
   end constructor.

   method protected void OnScroll(input oldValue as System.Drawing.Point, input newValue as System.Drawing.Point):
   end method.

   method protected void OnScrollNeedsChanged(input args as Telerik.WinControls.UI.ScrollNeedsEventArgs):
   end method.

   method protected void OnScrollParametersChanged(input scrollBar as Telerik.WinControls.UI.RadScrollBarElement):
   end method.

   method protected void OnNewViewportSet(input oldViewport as Telerik.WinControls.RadElement, input newViewport as Telerik.WinControls.RadElement):
   end method.

   method protected override void InitializeFields():
   end method.

   method protected override void CreateChildElements():
   end method.

   method protected override System.Drawing.SizeF MeasureOverride(input availableSize as System.Drawing.SizeF):
   end method.

   method protected override System.Drawing.SizeF ArrangeOverride(input finalSize as System.Drawing.SizeF):
   end method.

   method protected void ArrangeViewPort(input viewportRect as System.Drawing.RectangleF, input finalSize as System.Drawing.SizeF, input flags as Telerik.WinControls.UI.RadScrollLayoutPanel+ScrollFlags):
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method public final void ScrollTo(input xpos as integer, input ypos as integer):
   end method.

   method public final void ScrollWith(input xoffs as integer, input yoffs as integer):
   end method.

   method public final void ScrollElementIntoView(input childElement as Telerik.WinControls.RadElement):
   end method.

   method public final void ResetLayout():
   end method.

   method protected final Telerik.WinControls.UI.RadScrollLayoutPanel+ScrollFlags GetScrollingNeeds(input extentSize as System.Drawing.Size, input clientSize as System.Drawing.Size):
   end method.

   method protected final System.Drawing.Size GetScrollBarsSize(input flags as Telerik.WinControls.UI.RadScrollLayoutPanel+ScrollFlags):
   end method.

end class.
