class Telerik.WinControls.UI.RadTextBoxItem
   inherits Telerik.WinControls.RadHostItem
   implements System.IDisposable, System.ComponentModel.INotifyPropertyChanged, System.ComponentModel.ICustomTypeDescriptor, Telerik.WinControls.ISupportSystemSkin, Telerik.WinControls.IStylableNode, System.Windows.Forms.IBindableComponent, System.ComponentModel.IComponent, Telerik.WinControls.ISupportDrag, Telerik.WinControls.ISupportDrop, Telerik.WinControls.IShortcutProvider, Telerik.WinControls.IStylableElement:

   def protected static variable RadTextBoxItemLastStateKey as int64.

   def public static variable MultilineEvent as Telerik.WinControls.RoutedEvent.

   def public static variable NullTextProperty as Telerik.WinControls.RadProperty.

   def public static variable NullTextColorProperty as Telerik.WinControls.RadProperty.

   def public static variable IsNullTextProperty as Telerik.WinControls.RadProperty.

   def public override property Text as character
      get.
      set.

   def public property TabStop as logical
      get.
      set.

   def public property AcceptsReturn as logical
      get.
      set.

   def public property AcceptsTab as logical
      get.
      set.

   def public property CanUndo as logical
      get.

   def public property CharacterCasing as System.Windows.Forms.CharacterCasing
      get.
      set.

   def public property HideSelection as logical
      get.
      set.

   def public property Lines as System.String extent
      get.
      set.

   def public property MaxLength as integer
      get.
      set.

   def public property Modified as logical
      get.
      set.

   def public property Multiline as logical
      get.
      set.

   def public property PasswordChar as character
      get.
      set.

   def public property PreferedHeght as integer
      get.

   def public property ReadOnly as logical
      get.
      set.

   def public property ScrollBars as System.Windows.Forms.ScrollBars
      get.
      set.

   def public property SelectedText as character
      get.
      set.

   def public property SelectionLength as integer
      get.
      set.

   def public property SelectionStart as integer
      get.
      set.

   def public property ShortcutsEnabled as logical
      get.
      set.

   def public property TextAlign as System.Windows.Forms.HorizontalAlignment
      get.
      set.

   def public property TextLength as integer
      get.

   def public property WordWrap as logical
      get.
      set.

   def public property NullText as character
      get.
      set.

   def public property NullTextColor as System.Drawing.Color
      get.
      set.

   def public override property VsbVisible as logical
      get.

   def public property TextBoxControl as Telerik.WinControls.UI.HostedTextBoxBase
      get.

   def public override property StretchVertically as logical
      get.
      set.

   def public property UseGenericBorderPaint as logical
      get.
      set.

   def public property ShouldTextChangedFire as logical
      get.
      set.

   def public event TabStopChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event AcceptsTabChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event HideSelectionChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event ModifiedChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event MultilineChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event PreviewKeyDown signature void (input sender as System.Object, input e as System.Windows.Forms.PreviewKeyDownEventArgs).

   def public event ReadOnlyChanged signature void (input sender as System.Object, input e as System.EventArgs).

   def public event TextAlignChanged signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public RadTextBoxItem(input hostedControl as System.Windows.Forms.Control):
   end constructor.

   constructor public RadTextBoxItem():
   end constructor.

   method protected override void InitializeFields():
   end method.

   method protected void OnModifiedChanged(input e as System.EventArgs):
   end method.

   method public final void AppendText(input text as character):
   end method.

   method public final void Clear():
   end method.

   method public final void ClearUndo():
   end method.

   method public final void Copy():
   end method.

   method public final void Cut():
   end method.

   method public final void DeselectAll():
   end method.

   method public final character GetCharFromPosition(input point as System.Drawing.Point):
   end method.

   method public final integer GetCharIndexFromPosition(input point as System.Drawing.Point):
   end method.

   method public final integer GetFirstCharIndexFromLine(input lineNumber as integer):
   end method.

   method public final integer GetFirstCharIndexOfCurrentLine():
   end method.

   method public final integer GetLineFromCharIndex(input index as integer):
   end method.

   method public final System.Drawing.Point GetPositionFromCharIndex(input index as integer):
   end method.

   method public final void Paste():
   end method.

   method public final void Paste(input text as character):
   end method.

   method public final void ScrollToCaret():
   end method.

   method public final void Select(input start as integer, input length as integer):
   end method.

   method public final void SelectAll():
   end method.

   method protected void OnTabStopChanged(input e as System.EventArgs):
   end method.

   method protected void OnAcceptsTabChanged(input e as System.EventArgs):
   end method.

   method protected void OnHideSelectionChanged(input e as System.EventArgs):
   end method.

   method protected void OnMultilineChanged(input e as System.EventArgs):
   end method.

   method protected void OnPreviewKeyDown(input e as System.Windows.Forms.PreviewKeyDownEventArgs):
   end method.

   method protected void OnReadOnlyChanged(input e as System.EventArgs):
   end method.

   method protected void OnTextAlignChanged(input e as System.EventArgs):
   end method.

   method protected override void OnPropertyChanged(input e as Telerik.WinControls.RadPropertyChangedEventArgs):
   end method.

   method protected override void OnTunnelEvent(input sender as Telerik.WinControls.RadElement, input args as Telerik.WinControls.RoutedEventArgs):
   end method.

   method protected override void OnTextChanging(input e as Telerik.WinControls.TextChangingEventArgs):
   end method.

   method protected final void TextBoxControl_AcceptsTabChanged(input sender as System.Object, input e as System.EventArgs):
   end method.

   method protected final void TextBoxControl_HideSelectionChanged(input sender as System.Object, input e as System.EventArgs):
   end method.

   method protected final void TextBoxControl_ModifiedChanged(input sender as System.Object, input e as System.EventArgs):
   end method.

   method protected final void TextBoxControl_MultilineChanged(input sender as System.Object, input e as System.EventArgs):
   end method.

   method protected final void TextBoxControl_ReadOnlyChanged(input sender as System.Object, input e as System.EventArgs):
   end method.

   method protected final void TextBoxControl_TextAlignChanged(input sender as System.Object, input e as System.EventArgs):
   end method.

   method protected final void TextBoxControl_TextChanged(input sender as System.Object, input e as System.EventArgs):
   end method.

end class.
