class Telerik.WinControls.UI.SchedulerDayViewBase
   inherits Telerik.WinControls.UI.SchedulerView
   implements System.ComponentModel.INotifyPropertyChanged, System.IDisposable
   abstract:

   def public property RulerStartScaleMinutes as integer
      get.
      set.

   def public property RulerEndScaleMinutes as integer
      get.
      set.

   def public property WorkTimeExceptions as Telerik.WinControls.UI.ItemObservableCollection
      get.

   def public property WorkWeekStart as System.DayOfWeek
      get.
      set.

   def public property WorkWeekEnd as System.DayOfWeek
      get.
      set.

   def public override property DefaultTimeZone as Telerik.WinControls.UI.SchedulerTimeZone
      get.
      set.

   def public property AutoScrollToWorkTime as logical
      get.
      set.

   def public property RulerScaleSize as integer
      get.
      set.

   def public property RulerFormatStrings as Telerik.WinControls.UI.RulerFormatStrings
      get.
      set.

   def public property WorkTime as Telerik.WinControls.UI.TimeInterval
      get.
      set.

   def public property ShowRuler as logical
      get.
      set.

   def public property RulerStartScale as integer
      get.
      set.

   def public property RulerEndScale as integer
      get.
      set.

   def public property RulerWidth as integer
      get.
      set.

   def public property TimeZones as Telerik.WinControls.UI.SchedulerTimeZoneCollection
      get.

   def public property RangeFactor as Telerik.WinControls.UI.ScaleRange
      get.
      set.

   def protected property CurrentTime as System.TimeSpan
      get.
      set.

   def public property ShowAllDayArea as logical
      get.
      set.

   def public property CanSetDayCount as logical
      get.

   def public abstract property DayCount as integer
      get.
      set.

   constructor public SchedulerDayViewBase():
   end constructor.

   method public override Telerik.WinControls.UI.SchedulerView GetPreviousView(input navigationStepType as Telerik.WinControls.UI.NavigationStepTypes, input navigationStep as integer):
   end method.

   method public override Telerik.WinControls.UI.SchedulerView GetNextView(input navigationStepType as Telerik.WinControls.UI.NavigationStepTypes, input navigationStep as integer):
   end method.

   method public override Telerik.WinControls.UI.SchedulerView GetPreviousView(input offset as integer):
   end method.

   method public override Telerik.WinControls.UI.SchedulerView GetNextView(input offset as integer):
   end method.

   method protected override void CopyPropertiesToView(input other as Telerik.WinControls.UI.SchedulerView):
   end method.

   method protected override Telerik.WinControls.UI.SchedulerView CreateViewWithStartDate(input startDate as datetime):
   end method.

   method public override Telerik.WinControls.UI.SchedulerView GetViewContainingDate(input date as datetime):
   end method.

   method protected override datetime GetEndDate(input startDate as datetime):
   end method.

   method protected override void UpdateOnPropertyChange(input propertyName as character):
   end method.

   method public datetime GetDateForColumn(input column as integer):
   end method.

   method public datetime GetDateForColumn(input column as integer, input scheduler as Telerik.WinControls.UI.RadScheduler):
   end method.

   method public datetime GetDateForCell(input row as integer, input column as integer, input scheduler as Telerik.WinControls.UI.RadScheduler):
   end method.

   method public datetime GetDateForCell(input row as integer, input column as integer):
   end method.

   method public integer GetColumnForDate(input dateTime as datetime):
   end method.

   method public final integer GetNumberOfCellsPerHour():
   end method.

   method public final integer GetRowsCount():
   end method.

   method public final logical IsWorkingDay(input dayOfWeek as System.DayOfWeek):
   end method.

   method public logical IsWorkTime(input cellDate as datetime):
   end method.

   method public final void Dispose():
   end method.

end class.
