class Telerik.WinControls.UI.SchedulerMonthView
   inherits Telerik.WinControls.UI.SchedulerView
   implements System.ComponentModel.INotifyPropertyChanged, Telerik.WinControls.UI.ISupportShowWeekend:

   def public property RangeStartDate as datetime
      get.
      set.

   def public property RangeEndDate as datetime
      get.
      set.

   def public property ShowVerticalNavigator as logical
      get.
      set.

   def public property WorkWeekStart as System.DayOfWeek
      get.
      set.

   def public property WorkWeekEnd as System.DayOfWeek
      get.
      set.

   def public property ShowFullMonth as logical
      get.
      set.

   def public property ScrollBarsWidth as integer
      get.
      set.

   def public property ShowWeeksHeader as logical
      get.
      set.

   def public property EnableWeeksHeader as logical
      get.
      set.

   def public property EnableAppointmentsScrolling as logical
      get.
      set.

   def public property EnableCellOverflowButton as logical
      get.
      set.

   def public property WeekCount as integer
      get.
      set.

   def public property WeekDaysCount as integer
      get.

   def public property ShowWeekend as logical
      get.
      set.

   def public override property ViewType as Telerik.WinControls.UI.SchedulerViewType
      get.

   constructor public SchedulerMonthView():
   end constructor.

   constructor public SchedulerMonthView(input startDate as datetime, input showWeekend as logical):
   end constructor.

   method protected override void CopyPropertiesToView(input other as Telerik.WinControls.UI.SchedulerView):
   end method.

   method protected override Telerik.WinControls.UI.SchedulerView CreateViewWithStartDate(input startDate as datetime):
   end method.

   method protected override logical SetStartDate(input value as datetime):
   end method.

   method protected datetime CalculateCorrectStartDate(input date as datetime):
   end method.

   method public final logical IsWorkingDay(input dayOfWeek as System.DayOfWeek):
   end method.

   method protected override datetime GetEndDate(input startDate as datetime):
   end method.

   method public override Telerik.WinControls.UI.SchedulerView GetPreviousView(input navigationStepType as Telerik.WinControls.UI.NavigationStepTypes, input navigationStep as integer):
   end method.

   method public override Telerik.WinControls.UI.SchedulerView GetNextView(input navigationStepType as Telerik.WinControls.UI.NavigationStepTypes, input navigationStep as integer):
   end method.

   method public override Telerik.WinControls.UI.SchedulerView GetPreviousView(input offset as integer):
   end method.

   method public override Telerik.WinControls.UI.SchedulerView GetNextView(input offset as integer):
   end method.

   method public override Telerik.WinControls.UI.SchedulerView OffsetView(input offset as integer):
   end method.

   method public override Telerik.WinControls.UI.SchedulerView GetViewContainingDate(input date as datetime):
   end method.

   method protected override void UpdateOnPropertyChange(input propertyName as character):
   end method.

end class.
