class Telerik.WinControls.UI.SchedulerPrintStyle
   inherits System.Object
   implements System.ICloneable
   abstract:

   def public property GroupType as Telerik.WinControls.UI.SchedulerPrintGroupType
      get.
      set.

   def public property ShowTimezone as logical
      get.
      set.

   def public property HeadingAreaHeight as integer
      get.
      set.

   def public property NotesAreaWidth as integer
      get.
      set.

   def public property DrawPageTitle as logical
      get.
      set.

   def public property DrawPageTitleCalendar as logical
      get.
      set.

   def public property ShowNotesArea as logical
      get.
      set.

   def public property ShowLinedNotesArea as logical
      get.
      set.

   def public property DateHeadingFont as System.Drawing.Font
      get.
      set.

   def public property AppointmentFont as System.Drawing.Font
      get.
      set.

   def public property PageHeadingFont as System.Drawing.Font
      get.
      set.

   def public property DateStartRange as datetime
      get.
      set.

   def public property DateEndRange as datetime
      get.
      set.

   def protected property TotalDays as integer
      get.

   def public property TimeStartRange as System.TimeSpan
      get.
      set.

   def public property TimeEndRange as System.TimeSpan
      get.
      set.

   def public property Scheduler as Telerik.WinControls.UI.RadScheduler
      get.

   def protected property IsGrouped as logical
      get.

   def public event PrintElementFormatting signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PrintElementEventArgs).

   def public event CellElementFormatting signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PrintSchedulerCellEventArgs).

   def public event AppointmentElementFormatting signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PrintAppointmentEventArgs).

   def public event PrintElementPaint signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PrintElementPaintEventArgs).

   def public event CellElementPaint signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PrintSchedulerCellPaintEventArgs).

   def public event AppointmentElementPaint signature void (input sender as System.Object, input e as Telerik.WinControls.UI.PrintAppointmentPaintEventArgs).

   constructor public SchedulerPrintStyle():
   end constructor.

   constructor public SchedulerPrintStyle(input startRange as datetime, input endRange as datetime):
   end constructor.

   method protected void OnPrintElementFormatting(input args as Telerik.WinControls.UI.PrintElementEventArgs):
   end method.

   method protected void OnCellElementFormatting(input args as Telerik.WinControls.UI.PrintSchedulerCellEventArgs):
   end method.

   method protected void OnAppointmentElementFormatting(input args as Telerik.WinControls.UI.PrintAppointmentEventArgs):
   end method.

   method protected void OnPrintElementPaint(input args as Telerik.WinControls.UI.PrintElementPaintEventArgs):
   end method.

   method protected void OnCellElementPaint(input args as Telerik.WinControls.UI.PrintSchedulerCellPaintEventArgs):
   end method.

   method protected void OnAppointmentElementPaint(input args as Telerik.WinControls.UI.PrintAppointmentPaintEventArgs):
   end method.

   method public void DrawPage(input graphics as System.Drawing.Graphics, input drawingArea as System.Drawing.Rectangle, input pageNumber as integer):
   end method.

   method public integer GetNumberOfPages(input pageBounds as System.Drawing.Rectangle, input g as System.Drawing.Graphics):
   end method.

   method protected System.Drawing.Rectangle DrawNotesArea(input graphics as System.Drawing.Graphics, input drawingArea as System.Drawing.Rectangle, input pageNumber as integer):
   end method.

   method protected datetime GetPageDate(input pageNumber as integer):
   end method.

   method protected Telerik.WinControls.UI.IResource GetPageResource(input pageNumber as integer):
   end method.

   method protected System.Drawing.Rectangle DrawTopArea(input drawingArea as System.Drawing.Rectangle, input graphics as System.Drawing.Graphics, input pageNumber as integer):
   end method.

   method protected final void DrawElement(input element as Telerik.WinControls.UI.RadPrintElement, input graphics as System.Drawing.Graphics, input bounds as System.Drawing.Rectangle):
   end method.

   method protected final void DrawElement(input element as Telerik.WinControls.UI.RadPrintElement, input graphics as System.Drawing.Graphics, input bounds as System.Drawing.RectangleF):
   end method.

   method protected final void DrawAppointment(input element as Telerik.WinControls.UI.AppointmentPrintElement, input graphics as System.Drawing.Graphics, input bounds as System.Drawing.Rectangle):
   end method.

   method protected final void DrawAppointment(input element as Telerik.WinControls.UI.AppointmentPrintElement, input graphics as System.Drawing.Graphics, input bounds as System.Drawing.RectangleF):
   end method.

   method protected final void DrawCell(input element as Telerik.WinControls.UI.SchedulerPrintCellElement, input graphics as System.Drawing.Graphics, input bounds as System.Drawing.Rectangle):
   end method.

   method protected final void DrawCell(input element as Telerik.WinControls.UI.SchedulerPrintCellElement, input graphics as System.Drawing.Graphics, input bounds as System.Drawing.RectangleF):
   end method.

   method protected abstract void DrawAppointmentsArea(input appArea as System.Drawing.Rectangle, input graphics as System.Drawing.Graphics, input pageNumber as integer).

   method protected final System.Collections.Generic.List GetAppointments():
   end method.

   method protected final System.Collections.Generic.List GetAppointments(input date as datetime):
   end method.

   method protected final System.Collections.Generic.List GetAppointments(input date as datetime, input includeAllday as logical):
   end method.

   method protected final System.Collections.Generic.List GetAppointments(input date as datetime, input includeAllday as logical, input resource as Telerik.WinControls.UI.IResource):
   end method.

   method protected final System.Collections.Generic.List GetAppointments(input startDate as datetime, input endDate as datetime):
   end method.

   method protected final System.Collections.Generic.List GetAppointments(input startDate as datetime, input endDate as datetime, input resource as Telerik.WinControls.UI.IResource):
   end method.

   method protected final System.Collections.Generic.List GetAppointments(input startDate as datetime, input endDate as datetime, input sortType as Telerik.WinControls.UI.SchedulerPrintGroupType):
   end method.

   method protected final integer CompareAppointments(input x as Telerik.WinControls.UI.IEvent, input y as Telerik.WinControls.UI.IEvent):
   end method.

   method protected final integer CompareAppointmentsByResource(input x as Telerik.WinControls.UI.IEvent, input y as Telerik.WinControls.UI.IEvent):
   end method.

   method protected final System.Drawing.Image LoadImage(input name as character):
   end method.

   method protected datetime DateCeiling(input dateTime as datetime):
   end method.

   method protected datetime DateFloor(input dateTime as datetime):
   end method.

   method protected datetime GetRoundedDateTime(input time as datetime, input roundUp as logical):
   end method.

   method public final override System.Object Clone():
   end method.

   method public void CopyProperties(input destination as Telerik.WinControls.UI.SchedulerPrintStyle):
   end method.

   method public void EndPrint():
   end method.

end class.
