class Telerik.WinControls.UI.SchedulerTimelineView
   inherits Telerik.WinControls.UI.SchedulerView
   implements System.ComponentModel.INotifyPropertyChanged:

   def public property RangeStartDate as datetime
      get.
      set.

   def public property RangeEndDate as datetime
      get.
      set.

   def public property ShowNavigationElement as logical
      get.
      set.

   def public property ShowVerticalScrollBar as logical
      get.
      set.

   def public property CurrentScale as Telerik.WinControls.UI.SchedulerTimescale
      get.

   def public property DisplayedCellsCount as integer
      get.

   def public property SchedulerTimescales as Telerik.WinControls.Data.ObservableCollection
      get.
      set.

   def public property Duration as System.TimeSpan
      get.

   def public override property OffsetTimeSpan as System.TimeSpan
      get.
      set.

   def public override property ViewType as Telerik.WinControls.UI.SchedulerViewType
      get.

   def public override property StartDate as datetime
      get.
      set.

   def public event RefreshNeeded signature void (input sender as System.Object, input e as System.EventArgs).

   constructor public SchedulerTimelineView():
   end constructor.

   method public override logical IsAppointmentInView(input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method public override Telerik.WinControls.UI.SchedulerView GetNextViewWithAppointments(input appointments as System.Collections.Generic.IEnumerable):
   end method.

   method public override Telerik.WinControls.UI.SchedulerView GetPreviousViewWithAppointments(input appointments as System.Collections.Generic.IEnumerable):
   end method.

   method protected void OnRefreshNeeded():
   end method.

   method public final System.Collections.Generic.List GetVisibleTimescales(input scale as Telerik.WinControls.UI.Timescales):
   end method.

   method public final Telerik.WinControls.UI.Timescales GetTimescale(input index as integer):
   end method.

   method public final Telerik.WinControls.UI.SchedulerTimescale GetTimescale(input scale as Telerik.WinControls.UI.Timescales):
   end method.

   method public final void ShowTimescale(input scale as Telerik.WinControls.UI.Timescales):
   end method.

   method public final void ShowTimescale(input timeScale as Telerik.WinControls.UI.SchedulerTimescale):
   end method.

   method public final integer GetScalingMinutes(input date as datetime):
   end method.

   method public final integer GetScalingMinutes(input scale as Telerik.WinControls.UI.SchedulerTimescale):
   end method.

   method public final Telerik.WinControls.UI.SchedulerTimescale GetScaling():
   end method.

   method public final System.Collections.Generic.List GetYearsTimescales():
   end method.

   method public final System.Collections.Generic.List GetMonthsTimescales():
   end method.

   method public final System.Collections.Generic.List GetWeeksTimescales():
   end method.

   method public final System.Collections.Generic.List GetDaysTimescales():
   end method.

   method public final System.Collections.Generic.List GetHoursTimescales():
   end method.

   method public final System.Collections.Generic.List GetMinutesTimescales():
   end method.

   method public final System.Collections.Generic.List GetHalfHourTimescales():
   end method.

   method public final System.Collections.Generic.List GetDefaultFormats():
   end method.

   method protected override datetime GetEndDate(input startDate as datetime):
   end method.

   method protected override Telerik.WinControls.UI.SchedulerView CreateViewWithStartDate(input startDate as datetime):
   end method.

   method protected override void CopyPropertiesToView(input other as Telerik.WinControls.UI.SchedulerView):
   end method.

   method public override Telerik.WinControls.UI.SchedulerView GetPreviousView(input offset as integer):
   end method.

   method public override Telerik.WinControls.UI.SchedulerView GetPreviousView(input navigationStepType as Telerik.WinControls.UI.NavigationStepTypes, input navigationStep as integer):
   end method.

   method public override Telerik.WinControls.UI.SchedulerView GetNextView(input navigationStepType as Telerik.WinControls.UI.NavigationStepTypes, input navigationStep as integer):
   end method.

   method public override Telerik.WinControls.UI.SchedulerView GetNextView(input offset as integer):
   end method.

   method protected override logical SetStartDate(input value as datetime):
   end method.

   method public override Telerik.WinControls.UI.SchedulerView GetViewContainingDate(input date as datetime):
   end method.

   method protected override void UpdateOnPropertyChange(input propertyName as character):
   end method.

end class.
