class Telerik.WinControls.UI.SchedulerView
   inherits System.Object
   implements System.ComponentModel.INotifyPropertyChanged
   abstract:

   def protected variable nullableStartDate as datetime.

   def public property DefaultTimeZone as Telerik.WinControls.UI.SchedulerTimeZone
      get.
      set.

   def public property OffsetTimeSpan as System.TimeSpan
      get.
      set.

   def public property StartDate as datetime
      get.
      set.

   def protected property CurrentDate as datetime
      get.
      set.

   def public property Name as character
      get.
      set.

   def public property Visible as logical
      get.
      set.

   def public property ReadOnly as logical
      get.
      set.

   def public property CurrentCulture as System.Globalization.CultureInfo
      get.
      set.

   def public abstract property ViewType as Telerik.WinControls.UI.SchedulerViewType
      get.

   def public property GroupSeparatorWidth as integer
      get.
      set.

   def public property AllowResourcesScrolling as logical
      get.
      set.

   def public property ResourcesPerView as integer
      get.
      set.

   def public property Scheduler as Telerik.WinControls.UI.RadScheduler
      get.

   def public property Appointments as Telerik.WinControls.UI.SchedulerObservableCollection
      get.

   def public property AppointmentTitleFormat as character
      get.
      set.

   def public property EndDate as datetime
      get.

   def public property ShowHeader as logical
      get.
      set.

   def public property AllowToolTips as logical
      get.
      set.

   def public property AllowAppointmentResize as logical
      get.
      set.

   def public property AllowAppointmentMove as logical
      get.
      set.

   def public property CellToolTipFormat as character
      get.
      set.

   def public event PropertyChanged signature void (input sender as System.Object, input e as System.ComponentModel.PropertyChangedEventArgs).

   constructor public SchedulerView():
   end constructor.

   method protected void CopyPropertiesToView(input other as Telerik.WinControls.UI.SchedulerView):
   end method.

   method public logical IsAllDayEvent(input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method public final static Telerik.WinControls.UI.SchedulerView CreateView(input value as Telerik.WinControls.UI.SchedulerViewType):
   end method.

   method public void UpdateAppointments(input appointments as Telerik.WinControls.Data.ObservableCollection):
   end method.

   method protected void AddAppointment(input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method protected void RemoveAppointment(input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method protected void AppointmentChanged(input appointment as Telerik.WinControls.UI.IEvent, input propertyName as character):
   end method.

   method protected logical IsViewInAccessibleInterval(input startDate as datetime):
   end method.

   method protected logical SetStartDate(input value as datetime):
   end method.

   method protected abstract datetime GetEndDate(input startDate as datetime).

   method public logical IsDateInView(input date as datetime):
   end method.

   method public logical IsAppointmentInView(input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method protected logical IsResourceIntersectsWithViewResources(input appointment as Telerik.WinControls.UI.IEvent):
   end method.

   method protected void AddResources(input resources as Telerik.WinControls.UI.SchedulerResourceCollection):
   end method.

   method public Telerik.WinControls.UI.SchedulerResourceCollection GetResources():
   end method.

   method public Telerik.WinControls.UI.IResource GetResource():
   end method.

   method public Telerik.WinControls.UI.EventId GetResourceId():
   end method.

   method public Telerik.WinControls.UI.SchedulerView OffsetView(input offset as integer):
   end method.

   method protected Telerik.WinControls.UI.SchedulerView GetViewContainingDate(input date as datetime, input viewDayCount as integer):
   end method.

   method protected abstract Telerik.WinControls.UI.SchedulerView CreateViewWithStartDate(input startDate as datetime).

   method public final Telerik.WinControls.UI.SchedulerView GetPreviousView():
   end method.

   method public final Telerik.WinControls.UI.SchedulerView GetNextView():
   end method.

   method public abstract Telerik.WinControls.UI.SchedulerView GetPreviousView(input offset as integer).

   method public abstract Telerik.WinControls.UI.SchedulerView GetNextView(input offset as integer).

   method public abstract Telerik.WinControls.UI.SchedulerView GetPreviousView(input navigationStepType as Telerik.WinControls.UI.NavigationStepTypes, input navigationStep as integer).

   method public abstract Telerik.WinControls.UI.SchedulerView GetNextView(input navigationStepType as Telerik.WinControls.UI.NavigationStepTypes, input navigationStep as integer).

   method public abstract Telerik.WinControls.UI.SchedulerView GetViewContainingDate(input date as datetime).

   method public Telerik.WinControls.UI.SchedulerView GetPreviousViewWithAppointments(input appointments as System.Collections.Generic.IEnumerable):
   end method.

   method protected Telerik.WinControls.UI.SchedulerView CalculatePreviousView(input appointments as System.Collections.Generic.IEnumerable, input startDate as datetime):
   end method.

   method public Telerik.WinControls.UI.SchedulerView GetNextViewWithAppointments(input appointments as System.Collections.Generic.IEnumerable):
   end method.

   method protected final datetime CalculateNextDate(input appointments as System.Collections.Generic.IEnumerable, input endDate as datetime):
   end method.

   method public final Telerik.WinControls.UI.IEvent GetFirstAppointment():
   end method.

   method public final Telerik.WinControls.UI.IEvent GetLastAppointment():
   end method.

   method protected void SetDefaultTimeZone(input defaultTimeZone as Telerik.WinControls.UI.SchedulerTimeZone):
   end method.

   method protected void OnPropertyChanged(input propertyNames as System.String extent):
   end method.

   method protected void UpdateOnPropertyChange(input propertyName as character):
   end method.

end class.
